
## Convert Proteinortho results into ParaPhylo format
############################################################################################
java -jar ParaPhyloConverter.jar -p proteinortho/species_enhanced.proteinortho -g proteinortho/species_enhanced.proteinortho-graph -b blast_enhanced/ -o enterobacteriales.paraphylo

## Run ParaPhylo
############################################################################################
java -jar ParaPhylo.jar -i enterobacteriales.paraphylo -o enterobacteriales -w -s 50 -c 1800 -n

## Run 100 cograph-based bootstraps
############################################################################################
java -jar ParaPhylo.jar -i enterobacteriales.cographs -o enterobacteriales.cboot -b 1 -r 100 -n

## Run 100 triple-based bootstraps
############################################################################################
java -jar ParaPhylo.jar -i enterobacteriales.triples -o enterobacteriales.tboot -b 2 -r 100 -n

## Run ParaPhylo with solving the least resolved tree problen using the ILP formulation
############################################################################################
java -jar ParaPhyloForceLRT.jar -i enterobacteriales.triples -o enterobacteriales.forceLTR
