#!/usr/bin/perl

## Grabs proteins and tells missing species from groups
use strict;
use warnings;

#if no dbs exist
#for F in *.fna; do formatdb -i $F -p F -o F; done;

my $evalue = "1e-20";

open(IN,"<$ARGV[0]") || die ();
while(<IN>){
	chomp;
	my ($group, $name, $file) = split(/\t+/,$_);
	print "blastall -d $file -i $group.faa -p tblastn -a1 -m8 -e $evalue -F F | sort -k11g >$group.$name.bla \n"; 
}
close(IN);


### Run the blasts manualy



