#!/bin/bash

mkdir paralogy

echo -n "" > paralogy/avgparalogs
for species in 5 10 15
do
 for families in 10 20 30 40 50 60 70 80 90 100
 do
  echo -n "" > paralogy/paralogs-$species-$families
  for i in {1..100}
  do
   homologs=$(grep -A1 "#GeneSpeciesAssociations" "$species/$families/sim$i.ds" | egrep "^[0-9]" | awk '{a=a+(NF*NF)} END{print a}')
   paralogs=$(egrep -o "^0| 0" "$species/$families/sim$i.ds" | wc -l)
   echo "scale=2; ($paralogs * 100) / $homologs" | bc >> paralogy/paralogs-$species-$families
  done
  avg=$(cat paralogy/paralogs-$species-$families | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
  echo "paralogs-$species-$families: $avg" >> paralogy/avgparalogs
 done
 echo "" >> paralogy/avgparalogs
done
