#!/bin/bash

mkdir paralogy

echo -n "" > paralogy/avgparalogs
echo -n "" > paralogy/paralogs
for i in {1..100}
do
 homologs=$(grep -A1 "#GeneSpeciesAssociations" "data/sim$i.ds" | egrep "^[0-9]" | awk '{a=a+(NF*NF)} END{print a}')
 paralogs=$(egrep -o "^0| 0" "data/sim$i.ds" | wc -l)
 echo "scale=2; ($paralogs * 100) / $homologs" | bc >> paralogy/paralogs
done
avg=$(cat paralogy/paralogs | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')
echo "$avg" >> paralogy/avgparalogs

